# SeqAdmin

Very immature Sequelize admin generator.  
Use it at your own risk (for now).

## Install
```sh
npm i seqadmin --save
```

## Usage

Bind it to your Express.js app like
```js
var app = require('express')();
//...
var sequelizeConfig = require('./dbconfig.js');
require('seqadmin')(app, sequelizeConfig);
```
Then browse to `http://localhost:$yourport/admin`!

## Options

A sample self-explanatory config with some default values:
```js
var options = {
  path: '/admin',
  title: 'SeqAdmin',
  models: {
    User: {
      list: {
        link: 'name',
        hide: ['createdAt', 'updatedAt'],
        query: {
          order: [['name', 'ASC']],
        }
      }
    }
  }
};
require('seqadmin')(app, sequelizeConfig, options);
```
